---
title: "Receive additional information from UI in response to Underwriter's request."
url: "https://developers.zinnia.com/apis/new-business/versions/b8532e16-b28e-4393-9305-def50b91e40e/paths/bpm-newbusiness-v1-evidence-submission/post"
---

> Full API specification: https://developers.zinnia.com/apis/new-business/versions/b8532e16-b28e-4393-9305-def50b91e40e.md

# Receive additional information from UI in response to Underwriter's request.

`POST` `/bpm/newbusiness/v1/evidence-submission`

## Request body (required)

Content types: `application/json`

## Responses

- `201` - Case Created
- `400` - Bad request
- `401` - Authentication failed
- `403` - Access denied
- `500` - Server error

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia New Business API.
  version: 0.9.8
servers:
  - url: https://qa.api.zinnia.io
    description: QA Environment
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://uat.api.zinnia.io
    description: UAT Environment
  - url: https://api.zinnia.io
    description: PROD Environment
paths:
  /bpm/newbusiness/v1/evidence-submission:
    post:
      tags:
        - New Business Transactions V1
      summary: Receive additional information from UI in response to Underwriter's
        request.
      requestBody:
        description: Required to submit additional details to Underwriting System.
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/EvidenceResponse"
        required: true
      responses:
        "201":
          description: Case Created
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SuccessResponse"
              examples:
                NewBusiness:
                  value:
                    caseId: cde717c9-5f7e-4c63-953c-ef50e44c021a
                    carrier: CarrierName_1
                    process: NewBusiness
                    caseStatus: Open
                    correlationId: 2ad51ecf-9923-437f-a6f0-70968e464cdb
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationResponse"
        "401":
          description: Authentication failed
        "403":
          description: Access denied
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AccessDeniedResponse"
        "500":
          description: Server error
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ServerErrorResponse"
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    EvidenceResponse:
      type: object
      properties:
        eappId:
          type: string
          description: Unique application Id generated by the UI. Each application would
            have unique identifier
          example: 15ea7582-262f-4dfe-8a60-1e8b8e763fd4
        caseId:
          type: string
          description: Zinnia Live case
          example: CA0000005656
        correlationId:
          type: string
          description: Unique process identifier to track the all linked processed against
            one single application. This is an optional
          example: 2ad51ecf-9923-437f-a6f0-70968e464cdb
        carrier:
          type: string
          example: CarrierName_1
        firstName:
          type: string
          description: Frst Name of the party
          example: Thomas
        lastName:
          type: string
          description: Last Name of the the party
          example: Lawrence
        middleName:
          type: string
          description: Middle name of the party
        name:
          type: string
          description: Full name of the party.
          example: Thomas Lawrence
        gender:
          type: string
          enum:
            - Male
            - Female
          description: Gender of party
          example: Male
        dob:
          type: string
          format: date
          description: Date of birth of party
        ssn:
          type: string
          description: Party SSN. In case if non individual it should be Tax Id
          minLength: 9
          maxLength: 9
          example: "121328426"
        address1:
          type: string
          description: Address line 1
          example: Wt Road
        address2:
          type: string
          description: Address line 2
          example: St Street
        city:
          type: string
          description: City name
          example: Test City
        state:
          type: string
          enum:
            - AL
            - AK
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VA
            - WA
            - WV
            - WI
            - WY
          description: State Code
          example: AL
        zip:
          type: string
          description: Zip Code. Max char allowed is 9.
          maxLength: 9
          example: "123456"
        phone:
          type: string
          description: Phone number
          example: 111-111-2222
        classification:
          type: string
          enum:
            - Individual
            - Business
            - Trust
            - Corporation
            - Partnership
            - Other
            - Group of Individuals
            - Estate
            - Child
          description: Party classification
          example: Individual
        reqCode:
          type: string
          description: reqCode as string
          example: Clarifying Question UW
        reqId:
          type: string
          description: reqId as string
          example: "1030000001"
        requirementId:
          type: string
          description: requirementId as string
          example: "2001234"
        requestedDate:
          type: string
          format: date
          description: requestedDate in 'YYYY-MM-DD' format.
        appliesToPartyId:
          type: string
          description: Provided by the Underwriting System.
          example: ID_407226
        question:
          type: string
          description: Question will be free text entered by th case manager
          example: Required utility bill to process the request
        response:
          type: string
          description: Based on the question type. If it requires attachment then client
            will submit the document against it.
          example: Sharing the utility bill details
        documents:
          type: array
          items:
            $ref: "#/components/schemas/Documents"
    SuccessResponse:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
          example: 201
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: Request Submitted Successfully
    ValidationResponse:
      type: object
      properties:
        status:
          type: string
          example: FAILED
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: Bad Request
        error:
          type: array
          items:
            type: string
            example: Mandatory attribute label missing
    AccessDeniedResponse:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: "User is not authorized for the carrier : CarrierName_1"
    ServerErrorResponse:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
          example: Failed to process request
    Documents:
      type: object
      properties:
        referenceId:
          type: string
          description: Unique number assigned to given document
        productCode:
          type: string
          description: Product code
          example: ABC001
        documentInformation:
          type: array
          items:
            $ref: "#/components/schemas/DocumentInformation"
    DocumentInformation:
      type: object
      properties:
        documentStream:
          type: string
          description: Document binary string
        documentType:
          type: string
          enum:
            - Terms of Use
            - Notice and Consent
            - Privacy Policy
            - GLBA Privacy Notice
            - FCRA
            - MIB Pre Notice
            - ID Verification Notice
            - HIPAA
            - Accelerated Benefit Rider
            - Buyer Guide
            - Illustration
            - Suitability
            - Application
            - Signed Application
            - Replacements Acknowledgement
            - 1035 Exchange Surrender
            - Evidence Document
            - Amendment
            - Electronic Funds Transfer
            - Supplemental Application
            - Conforming Illustration
            - Signed Illustration
            - Overflow Additional Information
          description: Types of document
          example: Illustration
        documentCategory:
          type: string
          description: Category of the document as per OnBase system
          example: NB Supporting Document
        documentFileType:
          type: string
          enum:
            - application/pdf
            - image/jpeg
            - image/jpg
            - image/png
          description: Type of file
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.dev.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://dev.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://dev.api.zinnia.io
          client_id:
            - client_id
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
